# ACAD 276: Hike On

## Important links

[Planner](https://tasks.office.com/uscedu.onmicrosoft.com/en-US/Home/Planner/#/plantaskboard?groupId=99d4a0fc-9daa-4b29-8311-b719379894f8&planId=K2fEsgeyvUOQlyNRMzEIeWQAFm7G) | [Figma](https://www.figma.com/file/FavSxbXEGUYwAd3esvPsR7/DEV-2%3A-USC-Hikes?type=design&node-id=291-1109&mode=design&t=NgJNtwpRlWyRYI7R-0) | [Project production schedule](https://docs.google.com/spreadsheets/d/1aUNUMQsvXgzKxs1zAnoQb5l0zDwMCKXZCmXw7VOQuY8/edit?usp=sharing) | [How to Markdown](https://www.markdownguide.org/basic-syntax/#links)

## Git Rules

- Always create a new branch for each feature or bug fix.
- Use format [date]-[name] branch names to enhance clarity
- Commit frequently with clear and concise commit messages.
- Use pull requests (with reviewer as BJ & Joey) for code reviews and merging.

## File Naming and Directory Rules

- Use descriptive and consistent file names.
- Organize files into logical directories.
- Use the 'public/assets' directory for assets that will be publicly accessible.

<!-- ## Style Guide

- Use a consistent font size and weight throughout the project.
- Use a consistent color scheme.
- Follow accessibility guidelines. -->


## Directories
acad276-uschikes/
│
├── .gitignore (hidden file, for .env)
├── README.md
├── index.php
├── index.html (for local testing)
├── pages/
│   ├── individual-hike.php
│   ├── profilepage.php
│   └── results.php
├── css/
│   ├── styles.css
│   ├── typography.css
│   └── colors.css
└── public/
    ├── assets/
        ├── icons/ (where icons will be)
    │   ├── images (where images will be)
    │   └── other images (not sure why?)


